Page MenuHomePhabricator

Support tags from editing form
Open, LowestPublic

Description

There is lack of option to assign tags to a revisions from editing form.

The main ways to assign tags to revision is:

  • automatic editing (api.php?action=edit&tags=) - Allows gadgets/bots to assign tag to their edit
  • Manual (action=editchangetags) - provides users ability to add/remove tags from revision

However, there is no option to assign tags to a revision from the main editing form (both wikitext and VE).

Assigning tags from editing form should serve the following use cases:

  • Semi automatic tools - even if it is implemented as <input type="hidden"> it will allow semi automatic tools to tag themselves in the editing form. (Examples of semi automatic tools: citation expender, automatic replace gadgets etc)
  • manual - provide a similar interface to action=editchangetags, will allow editors to assign tags to their own edit. Example of such useful tags can be: "disclosure tags" e.g someone editing article about himself or "this is paid editing" tag.

Event Timeline

eranroz created this task.Aug 14 2015, 5:40 AM
eranroz updated the task description. (Show Details)
eranroz raised the priority of this task from to Needs Triage.
eranroz added a subscriber: eranroz.
Restricted Application added subscribers: TTO, Aklapper. · View Herald TranscriptAug 14 2015, 5:40 AM

There is a Special:EditTags page, which should allow you to set tags manual (you have to start it from the history by checking some revisions and click the button on the right)

Yes, I mentioned it as "action=editchangetags" above

TTO added a comment.Aug 14 2015, 7:37 AM

You can already do this. In your semi-automatic tool, inject into the edit form an element of the form <input type="hidden" name="wpChangeTags" value="tag 1,tag 2"> where the value is a comma-separated list of the internal change tag names. Be sure that the change tags are activated, or the edit will fail.

I'm pretty sure that is an undocumented feature, but I really have no idea where to document it...

The use case for tagging during manual editing is so minuscule that I don't think you could possibly justify cluttering the edit screen with an input field for tags.

TTO thank you for the wpChangeTags suggestion. Maybe it can be documented here: https://www.mediawiki.org/wiki/Manual:Parameters_to_index.php#Optional_additional_data ?

Changing during manual editing - I agree that usually it isn't used, but it may be "the chicken or egg paradox", and once such option exist it would be used, and it may be relevant for many cases.
Here is a theoretical question: are there very common comments? should we consider use tag instead of comment for them?
enwiki provides a gadget (other wikis too) for filling up common comments which include: Adding category/link, removing unsourced, copyedit or revert with explanations etc.
One could consider to replace them all, or partially with tags - gaining similar result for in user perspective but "structured" (vs unstructured summary) - which is more powerful as it allow coloring/filtering major changes in the article history. [this can be done with the wgChangeTags above but sometimes users add them manually]

Practical examples for use cases for manually tags - query:

Here is a practical query to validate it (some of the results are automatic edits, good candidates for tags with the API, and some are non automatic):

select rc_comment, count(*) from recentchanges  where not exists(select * from  change_tag where rc_id= ct_rc_id) and rc_comment<>'' and rc_comment not like '/*%' group by rc_comment order by count(*) desc limit 50
Copying assessment table to wiki21843
iOS App Account Creation18908
Updating9566
most recent scoring9425
Bot: Automatic Wikiproject tagging ([[User talk:Meno25|Report errors]])8967
fixed citation template(s) to remove page from [[:Category:CS1 maint: Extra text]] & [[WP:AWB/GF|general fixes]] using [[Project:AWB|AWB]] (11334)8114
[[Wikipedia:Template substitution|subst:'ing]] Teahouse invitation template ([[User:APersonBot/Explanation|more]]) using [[Project:AWB|AWB]]7899
[[WP:CHECKWIKI]] error fix for #61. Punctuation goes before References. Do [[Wikipedia:GENFIXES|general fixes]] if a problem exists. - using [[Project:AWB|AWB]]7339
Welcome to Wikipedia! ([[WP:TW|TW]])7112
Bot: [[User:FrescoBot/Links|link syntax]] and minor changes6715
{{blocked proxy}} <!-- 8123 -->6432
Split teams/years in infobox using [[Module:Infobox college coach/convert|script]] ([[Wikipedia:Bots/Requests_for_approval/Abotzi|BRFA]])6109
New Message (simulated automatically as part of [[WP:The Wikipedia Adventure|The Wikipedia Adventure]])5890
{{blocked proxy}} <!-- 8080 -->5432
Modified historical population template (via CenPop script)5368
ce5143
dablink notification message (see the [[User:DPL bot/Dablink notification FAQ|FAQ]])4737
User warning for unconstructive editing found using [[WP:STiki|STiki]]4432
Updating Admin Stats ([[en:WP:PEACHY|Peachy 2.0 (alpha 8)]])4357
{{R from sort name}} using [[Project:AWB|AWB]]4225
+WP Banners4101
Bot: [[User:FrescoBot/Links|link syntax]]4017
Added historical population template (via CenPop script)3874
add3522
embed {{Authority control}} with Wikidata information3369
[[WP:CSD#G8|G8]]: Talk page of a deleted page3332
[[WP:CHECKWIKI]] error fixes using [[Project:AWB|AWB]] (11349)3206
fix3134
[[WP:AES|←]]Blanked the page3116
Orphaned non-free file(s) deleted per [[WP:F5|F5]]3002
Previous version(s) deleted per [[WP:F5|F5]])2974
+2905
update2839
cleanup (wikitables, html markup, layout, etc.)2807
sp2778
[[WP:CSD#G13|G13]]: Abandoned [[Wikipedia:Articles for creation|AfC]] submission – If you wish to retrieve it, please see [[WP:REFUND/G13]]2683
add category using [[Project:AWB|AWB]]2681
created category2652
Tagging page with {{[[Template:Blacklisted-links|Blacklisted-links]]}}. Blacklisted links found. ([[en:WP:PEACHY|Peachy 2.0 (alpha 8)]])2600
Dating maintenance tags: {{Cn}}2579
[[WP:CSD#G11|G11]]: Unambiguous [[WP:NOTADVERTISING|advertising]] or promotion2529
typo2517
Robot - Result of [[WP:CFD|CFD]] discussion was Keep; removing CFD template(s).2484
bypassing redirect using [[Project:AWB|AWB]]2439
Updating requested pagemoves list2423
[[WP:CHECKWIKI]] error fix for #03. Missing Reflist. Do [[Wikipedia:GENFIXES|general fixes]] if a problem exists. - using [[Project:AWB|AWB]]2359
more specific categorisation2229
fixed [[MOS:DASH|dashes]] using a [[User:GregU/dashes.js|script]]2226
[[WP:CHECKWIKI]] error fix for #64. Do [[Wikipedia:GENFIXES|general fixes]] if a problem exists. - using [[Project:AWB|AWB]]2223
en-GB2162
TTO triaged this task as Lowest priority.Sep 9 2015, 1:25 PM

Lowest priority; there are serious questions whether this should even be implemented at all. Better to implement a proper way to store preset edit summaries. Is this tracked elsewhere on Phabricator?

TTO added a subscriber: Anomie.Sep 9 2015, 1:25 PM
Danny_B added a subscriber: Danny_B.Feb 2 2016, 3:40 AM

enwiki provides a gadget (other wikis too) for filling up common comments which include: Adding category/link, removing unsourced, copyedit or revert with explanations etc.

Enwiki's gadget looks/works like this: https://commons.wikimedia.org/wiki/File:Gadget-defaultsummaries-screenshots.png (code at https://en.wikipedia.org/wiki/MediaWiki:Gadget-defaultsummaries.js )
Frwiki's gadget looks/works like this: https://commons.wikimedia.org/wiki/File:Gadget-ResumeDeluxe-screenshot.png (extensive documentation here: https://fr.wikipedia.org/wiki/Aide:Résumé_Deluxe )

Anomie added a comment.Apr 8 2016, 2:37 PM

It should be easy for someone to write a user script or gadget to add tag input to the web UI edit form, using the information that TTO provided at T109032#1538531.

Making this actually part of MediaWiki would similarly be technically easy, but would likely require significant Design work to figure out how to display it in a way that wouldn't be horrendously confusing or in-the-way for casual editors.

Change 282456 had a related patch set uploaded (by Eranroz):
Allow tags in summary

https://gerrit.wikimedia.org/r/282456

So why was @eranroz patch never merged? I could really use this functionality. Should I re-create the patch?

So why was @eranroz patch never merged? I could really use this functionality. Should I re-create the patch?

Because I'd not seen it yet. Will respond now.

Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
He7d3r added a subscriber: He7d3r.Dec 29 2017, 4:28 PM